<?php
/***************************************************************************
 *   Copyright (C) 2005-2006 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
require_once("../../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");

require_once("../include/common.php");
if(!iAW_EDIT) {
	fallback("show_artist.php");
}


?>
<script type='text/javascript'>
function verify_album(frm) {
	var year = /^\d\d\d\d$/;
	var day_month = /^\d\d$/;
	if(frm.title.value=="" || frm.artist_id.value==0
		|| frm.cat_id.value==0 || frm.format.value==0) {
		alert("<?php echo $locale['err_complete']; ?>");
		return false;
	}
	if(!year.test(frm.year.value) || !day_month.test(frm.day.value)
		|| !day_month.test(frm.month.value)) {
		alert("<?php echo $locale['err_year']; ?>");
		return false;
	}
	return true;
}
</script>
<?php


// FIXE TODO - move everything to post.
if(isset($_POST['album_id']) && isNum($_POST['album_id'])) {
	$album_id = $_POST['album_id'];
} elseif(isset($_GET['album_id']) && isNum($_GET['album_id'])) {
	$album_id = $_GET['album_id'];
} else {
	unset($album_id);
}
// FIXE TODO - move everything to post.
if(isset($_GET['artist_id']) && isNum($_GET['artist_id'])) {
	$artist_id = $_GET['artist_id'];
} elseif(isset($_POST['artist_id']) && isNum($_POST['artist_id'])) {
	$artist_id = $_POST['artist_id'];
} else {
	unset($artist_id);
}


/*
 * ACTION
 */
if(isset($_POST['save']) && isset($artist_id)) {
	$released = $_POST['day'].$_POST['month'].$_POST['year'];
	$title = stripinput($_POST['title']);
	$misc = addslash($_POST['misc']);
	$released = $_POST['day'].$_POST['month'].$_POST['year'];
	$label_id = $_POST['label_id'];
	$sale_id = $_POST['sale_id'];
	$cat_id = $_POST['cat_id'];
	$format = $_POST['format'];

	if(isset($album_id)) {
		$query = "UPDATE ".AW_ALBUMS
			." SET album_title='$title'"
			.",album_released='$released'"
			.",album_artist='$artist_id'"
			.",album_label='$label_id'"
			.",album_sale='$sale_id'"
			.",album_cat='$cat_id'"
			.",album_format='$format'"
			.",album_misc='$misc'"
			." WHERE album_id='$album_id'";
	} else {
		$query = "INSERT INTO ".AW_ALBUMS
			."(album_title, album_released, album_artist"
			.",album_label, album_sale, album_cat, album_format"
			.",album_misc)"
			." VALUES"
			."('$title', '$released', '$artist_id', '$label_id'"
			.",'$sale_id', '$cat_id', '$format', '$misc')";
	}

	$ok = dbquery($query);
	if(!isset($album_id)) {
		$album_id = mysql_insert_id();
	}

	$error_msg = "";
	if($ok) {
		foreach($g_covers as $key => $val) {
			if(!aw_upload_file($key, $album_id)) {
				$error_msg = $locale['err_'.$key];
				$ok = false;
				break;
			}
		}
	}

	aw_msg($ok, $error_msg);
	unset($album_id);

} elseif(isset($_GET['delete']) && isset($album_id)) {
	$err_msg = "";
	$ok = false;

	$count = array_shift(dbarraynum(dbquery("SELECT COUNT(*)"
		." FROM ".AW_SONGS
		." WHERE song_album='$album_id'")));
	if($count == 0) {
		$ok = dbquery("DELETE FROM ".AW_ALBUMS
			." WHERE album_id='$album_id'");
		$ok = (mysql_affected_rows() == 1);
		// delete covers - FIXME
		if($ok) {
			foreach($g_covers as $key => $val) {
				$file = AW_IMAGES.$key."_$album_id.jpg";
				if(file_exists($file)
					&& !unlink(AW_IMAGES.$key."_$album_id.jpg")) {
					$ok = false;
					break;
				}
			};
		}
	} else {
		$err_msg = $locale['no_del'];
	}

	aw_msg($ok, $err_msg);
	unset($album_id);
}


/*
 * GUI
 */
opentable($locale['aw_title']);

show_admin_menu();

$a_id = select_album(isset($artist_id) ? $artist_id : NULL,
	isset($album_id) ? $album_id : NULL);
if(!isset($artist_id) && is_null($a_id)) {
	echo "<p>".$locale['empty_album'];
} else {
//FIXME	redirect(FUSION_SELF."?artist_id=$a_id");
}

closetable();
tablebreak();


$title = "";
$day = "";
$month = "";
$year = "";
$misc = "";
unset($label_id, $sale_id, $cat_id);
if(isset($album_id)) {
	$query_id = dbquery("SELECT * FROM ".AW_ALBUMS
		." WHERE album_id='$album_id'");
	if($query_id && $row=dbarray($query_id)) {
		$title = $row['album_title'];
		$artist_id = $row['album_artist'];
		$label_id = $row['album_label'];
		$sale_id = $row['album_sale'];
		$cat_id = $row['album_cat'];
		$format = $row['album_format'];
		$misc = phpentities(stripslashes($row['album_misc']));
		//
		$released = $row['album_released'];
		$day = substr($released, 0, 2);
		$month = substr($released, 2, 2);
		$year = substr($released, 4, 4);
	} else {
		unset($album_id);
	}
}


// show edit form
if(isset($artist_id)) {
	// all labels
	$l_ops = "<option value='0'>".$locale['unknown']."</option>";
	if(!isset($label_id)) {
		$label_id = 0;
	}
	$query_id = dbquery("SELECT * FROM ".AW_LABELS);
	if($query_id) {
		while($row = dbarray($query_id)) {
			$id = $row['label_id'];
			$l_ops .= "<option value='$id' "
				.($label_id==$id ? ' selected' : '').">"
				.$row['label_name']."</option>";
		}
	}
	// all sales
	$d_ops = "<option value='0'>".$locale['unknown']."</option>";
	if(!isset($sale_id)) {
		$sale_id = 0;
	}
	$query_id = dbquery("SELECT * FROM ".AW_SALES);
	if($query_id) {
		while($row = dbarray($query_id)) {
			$id = $row['sale_id'];
			$d_ops .= "<option value='$id' "
				.($sale_id==$id ? ' selected' :'').">"
				.$row['sale_name']."</option>";
		}
	}
	// all formats
	$f_ops = "<option value='0'>".$locale['pls_select']."</option>";
	if(!isset($format)) {
		$format = "0";
	}
	if(count($g_formats)) {
		foreach($g_formats as $id => $name) {
			$f_ops .= "<option value='$id' "
				.($format==$id ? ' selected' :'')
				.">$name</option>";
		}
	}
	// all cats
	$c_ops = "<option value='0'>".$locale['pls_select']."</option>";
	if(!isset($cat_id)) {
		$cat_id = 0;
	}
	$query_id = dbquery("SELECT * FROM ".AW_CATS);
	if($query_id) {
		while($row = dbarray($query_id)) {
			$id = $row['cat_id'];
			$c_ops .= "<option value='$id' "
				.($cat_id==$id ? ' selected' :'').">"
				.$row['cat_name']."</option>";
		}
	}


	opentable(isset($album_id) ? $locale['edit'] : $locale['new'] );
	echo "<form enctype='multipart/form-data' method='POST'
	action='".FUSION_SELF."?artist_id=$artist_id'
	onSubmit='return verify_album(this);'>
<input type='hidden' name='artist_id' value='$artist_id'>
<table border='0' width='100%'>
<tr>
	<td>".$locale['title']." *</td>
	<td><input type='text' class='textbox' name='title'"
		." style='width:320px' value='$title'></td>
<tr>
	<td>".$locale['year']." *</td>
	<td><input type='text' class='textbox' name='day'
		value='$day' maxlength='2' style='width: 2em;'>
		<input type='text' class='textbox' name='month'
		value='$month' maxlength='2' style='width: 2em;'>
		<input type='text' class='textbox' name='year'
		value='$year' maxlength='4' style='width: 4em;'></td>
<tr>
	<td>".$locale['cat']." *</td>
	<td><select name='cat_id' class='textbox'>$c_ops</select></td>
<tr>
	<td>".$locale['label']."</td>
	<td><select name='label_id' class='textbox'>$l_ops</select></td>
<tr>
	<td>".$locale['sale']."</td>
	<td><select name='sale_id' class='textbox'>$d_ops</select></td>
<tr>
	<td>".$locale['format']." *</td>
	<td><select name='format' class='textbox'>$f_ops</select></td>";
foreach($g_covers as $key => $name) {
	echo "<tr>
	<td>$name</td>
	<td><input type='file' name='$key' class='textbox'>";
	if(isset($album_id)) {
		if(file_exists(AW_IMAGES.$key."_$album_id.jpg")) {
			echo " <a onClick='return do_popup($album_id, \"$key\");'>"
				.$locale['show']."</a>";
		}
	}
	echo "</td>";
}
echo "<tr>
	<td valign='top'>".$locale['misc']."</td>
	<td><textarea name='misc' style='width:320px; height:120px;'
		class='textbox'>".$misc."</textarea></td>
<tr>
	<td></td>
	<td><input type='submit' class='button' name='save'"
		." value='".$locale['save']."'>";
if(isset($album_id)) {
	echo "<input type='hidden' name='album_id' value='$album_id'>";
}
	echo "</td>\n</table></form>";
	closetable();
}


require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
?>
