<?php
/***************************************************************************
 *   Copyright (C) 2005-2006 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
require_once("../../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");


if(!iSUPERADMIN) {
	fallback("show_artist.php");
}
require_once("../include/common.php");


if(isset($_POST['save'])) {
	aw_msg(dbquery("UPDATE ".AW_SETTINGS
		." SET edit_group='".$_POST['edit_group']."'"
		.",per_page='".$_POST['per_page']."'"
		.",file_size='".$_POST['file_size']."'"));
	fallback(FUSION_SELF);
}


/*
 * GUI
 */
opentable($locale['aw_title']);

show_admin_menu();

// db administrator group.
$ops = "";
$usergroups = getusergroups();
foreach($usergroups as $group) {
	$ops .= "<option value='".$group[0]."'"
		.($group[0]==$aw_settings['edit_group'] ? " selected" : "")
		.">".$group[1]."</option>";
}

echo "<form method='post' action='".FUSION_SELF."'>
<table width='400' align='center' class='tbl-border' cellspacing='1'>
<tr>
<td class='tbl2'>".$locale['edit_group'].":</td>
<td class='tbl1'><select name='edit_group' class='textbox'>$ops</select></td>
</tr><tr>
<td class='tbl2'>".$locale['per_page'].":</td>
<td class='tbl1'><input type='text' name='per_page' class='textbox'"
	." size='2' value='".AW_PER_PAGE."'></td>
</tr><tr>
<td class='tbl2'>".$locale['file_size'].":</td>
<td class='tbl1'><input type='text' name='file_size' class='textbox'"
	." size='8' value='".AW_IMAGE_SIZE."'></td>
</tr><tr>
<td class='tbl2'></td>
<td class='tbl2'><input type='submit' class='button' name='save'"
	." value='".$locale['save']."'></td>
</table></form>\n";
closetable();
tablebreak();


/*
 *
 */
opentable($locale['aw_title']);

//
echo "<p><a href='".FUSION_SELF."?action=info_db'>".$locale['info_db']."</a>";
if(isset($_GET['action']) && $_GET['action']=="info_db") {
	echo "<div class='tbl2'>";

	$sel = "SELECT COUNT(*) FROM ";
	$cnt_labels = array_shift(dbarraynum(dbquery($sel.AW_LABELS)));
	$cnt_sales = array_shift(dbarraynum(dbquery($sel.AW_SALES)));
	$cnt_artists = array_shift(dbarraynum(dbquery($sel.AW_ARTISTS)));
	$cnt_albums = array_shift(dbarraynum(dbquery($sel.AW_ALBUMS)));
	$cnt_songs = array_shift(dbarraynum(dbquery($sel.AW_SONGS)));

	echo "<p><b>".$locale['labels']."</b>: $cnt_labels";
	echo "<p><b>".$locale['sales']."</b>: $cnt_sales";
	echo "<p><b>".$locale['artists']."</b>: $cnt_artists";
	echo "<p><b>".$locale['albums']."</b>: $cnt_albums";
	echo "<p><b>".$locale['songs']."</b>: $cnt_songs";

	echo "</div>";
}

//
echo "<p><a href='".FUSION_SELF."?action=check_db'>".$locale['check_db']."</a>";
if(isset($_GET['action']) && $_GET['action']=="check_db") {
	echo "<div class='tbl2'>";

	echo "<p><b>".$locale['err_label'].":</b><br/>";
	$query_id = dbquery("SELECT album_id, album_title FROM ".AW_ALBUMS
		." LEFT JOIN ".AW_LABELS." ON album_label=label_id"
		." WHERE album_label>0 AND label_id IS NULL");
	if($query_id) {
		while($row = dbarray($query_id)) {
			echo "#".$row['album_id'].": "
				.stripslashes($row['album_title'])."<br/>";
		}
	}

	echo "<p><b>".$locale['err_sale'].":</b><br/>";
	$query_id = dbquery("SELECT album_id, album_title FROM ".AW_ALBUMS
		." LEFT JOIN ".AW_SALES." ON album_sale=sale_id"
		." WHERE album_sale>0 AND sale_id IS NULL");
	if($query_id) {
		while($row = dbarray($query_id)) {
			echo "#".$row['album_id'].": "
				.stripslashes($row['album_title'])."<br/>";
		}
	}

	echo "<p><b>".$locale['err_artist'].":</b><br/>";
	$query_id = dbquery("SELECT album_id, album_title FROM ".AW_ALBUMS
		." LEFT JOIN ".AW_ARTISTS." ON album_artist=artist_id"
		." WHERE artist_id IS NULL");
	if($query_id) {
		while($row = dbarray($query_id)) {
			echo "#".$row['album_id'].": "
				.stripslashes($row['album_title'])."<br/>";
		}
	}


	echo "<p><b>".$locale['err_song'].":</b><br/>";
	$query_id = dbquery("SELECT song_id, song_title FROM ".AW_SONGS
		." LEFT JOIN ".AW_ALBUMS." ON song_album=album_id"
		." WHERE album_id IS NULL");
	if($query_id) {
		while($row = dbarray($query_id)) {
			echo "#".$row['song_id'].": "
				.stripslashes($row['song_title'])."<br/>";
		}
	}

	echo "</div>\n";
}

closetable();


require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
?>
