<?php
/***************************************************************************
 *   Copyright (C) 2005-2006 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
require_once("../../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");

require_once("../include/common.php");
if(!iAW_EDIT) {
	fallback("show_artist.php");
}


?>
<script type='text/javascript'>
function verify_song(frm) {
	var len_test = /^\d+$/;
	if(frm.title.value=="" || frm.len.value=="" || frm.order.value==""
		|| frm.medium.value=="") {
		alert("<?php echo $locale['err_complete']; ?>");
		return false;
	}
	if(!len_test.test(frm.len.value) || !len_test(frm.order.value)
		|| !len_test(frm.medium.value)) {
		alert("<?php echo $locale['err_num']; ?>");
		return false;
	}
	return true;
}
</script>
<?php


// FIXE TODO - move everything to post.
if(isset($_POST['album_id']) && isNum($_POST['album_id'])) {
	$album_id = $_POST['album_id'];
} elseif(isset($_GET['album_id']) && isNum($_GET['album_id'])) {
	$album_id = $_GET['album_id'];
} else {
	unset($album_id);
}
// FIXE TODO - move everything to post.
if(isset($_GET['artist_id']) && isNum($_GET['artist_id'])) {
	$artist_id = $_GET['artist_id'];
} elseif(isset($_POST['artist_id']) && isNum($_POST['artist_id'])) {
	$artist_id = $_POST['artist_id'];
} else {
	unset($artist_id);
}
// FIXE TODO - move everything to post.
if(isset($_GET['song_id']) && isNum($_GET['song_id'])) {
	$song_id = $_GET['song_id'];
} elseif(isset($_POST['song_id']) && isNum($_POST['song_id'])) {
	$song_id = $_POST['song_id'];
} else {
	unset($song_id);
}


/*
 * ACTION
 */
if(isset($_POST['save']) && isset($album_id)) {
	$title = stripinput($_POST['title']);
	$lyrics = addslash($_POST['lyrics']);
	$tabs = addslash($_POST['tabs']);

	if(isset($song_id)) {
		$query  = "UPDATE ".AW_SONGS
			." SET song_title='$title'"
			.",song_len='".$_POST['len']."'"
			.",song_lyrics='$lyrics'"
			.",song_tabs='$tabs'"
			.",song_on_medium='".$_POST['medium']."'"
			.",song_order='".$_POST['order']."'"
			." WHERE song_id='$song_id'";
	} else {
		$query = "INSERT INTO ".AW_SONGS
			." (song_title, song_album, song_len, song_lyrics,"
			." song_tabs, song_order, song_on_medium)"
			." VALUES"
			." ('$title', '$album_id', '$len', '$lyrics', '$tabs',"
			." '$order', '$medium')";
	}
	aw_msg(dbquery($query));

} elseif(isset($_GET['delete']) && isset($song_id)) { 
	aw_msg(dbquery("DELETE FROM ".AW_SONGS." WHERE song_id='$song_id'"));
	unset($song_id);
}


/*
 * GUI
 */
opentable($locale['aw_title']);

show_admin_menu();

$a_id = select_album(isset($artist_id) ? $artist_id : NULL,
	isset($album_id) ? $album_id : NULL);
if(!isset($artist_id) && is_null($a_id)) {
	echo "<p>".$locale['empty_song'];
} else {
//FIXME	redirect(FUSION_SELF."?artist_id=$a_id");
}
closetable();
tablebreak();


$title = "";
$len = "";
$lyrics = "";
$tabs = "";
$medium = 1;
$order = 1;
if(isset($song_id)) {
	$query_id = dbquery("SELECT * FROM ".AW_SONGS
		." WHERE song_id='$song_id'");
	if($query_id && $row=dbarray($query_id)) {
		$title = $row['song_title'];
		$len = $row['song_len'];
		$lyrics = phpentities(stripslash($row['song_lyrics']));
		$tabs = phpentities(stripslash($row['song_tabs']));
		$order = $row['song_order'];
		$album_id = $row['song_album'];
		$medium = $row['song_on_medium'];
	} else {
		unset($song_id);
	}
}


// show edit form
if(isset($album_id)) {
	opentable($locale['edit']);


	// get all album songs
	echo "<table class='tbl-border' cellspacing='1' width='100%'>"
			."<tr class='tbl2'><td><b>".$locale['order']."</b></td>"
		."<td><b>".$locale['medium']."</b></td>"
		."<td><b>".$locale['songs']."</b></td>"
		."<td><b><a href='".FUSION_SELF."?album_id=$album_id'>"
		.$locale['new']."</a></b></td>";
	$query_id = dbquery("SELECT song_id, song_title, song_order"
		.", song_on_medium"
		." FROM ".AW_SONGS
		." WHERE song_album='$album_id'"
		." ORDER BY song_on_medium,song_order ASC");
	if($query_id) {
		$count = 1;
		$href = "songs.php?artist_id=$artist_id&album_id=$album_id";
		while($row = dbarray($query_id)) {
			$s_id = $row['song_id'];
			echo "<tr class='tbl".(1 + ++$count%2)."'>"
				."<td>".$row['song_order']."</td>"
				."<td>".$row['song_on_medium']."</td>"
				."<td>".$row['song_title']."</td>"
				."<td><a href='$href&song_id=$s_id'>"
					.$locale['edit']."</a>"
				." - <a onClick='return confirm_delete();'"
					." href='$href&delete=yes&song_id=$s_id'>"
					.$locale['del']."</a></td>";
			if(!isset($id)) {
				$order = $row['song_order']+1;
				$medium = $row['song_on_medium'];
			}
		}
	}
	echo "</table><hr>";

	// SHOW EDIT FORM
	echo "<p>
<form method='POST' onSubmit='return verify_song(this);'
	name='aw_songs_form' action='".FUSION_SELF."?".FUSION_QUERY."'>
<table width='100%' border='0'>
<tr>
	<td>".$locale['title']." *</td>
	<td><input type='text' class='textbox' value='$title'
		name='title' size='60' maxlength='64'></td>
<tr>
	<td>".$locale['len']." *</td>
	<td><input type='text' class='textbox' value='$len'
		style='width:3em;' name='len'>
<tr>
	<td>".$locale['medium']." *</td>
	<td><input type='text' class='textbox' maxlength='2'
		style='width:3em;' value='$medium' name='medium'>
<tr>
	<td>".$locale['order']." *</td>
	<td><input type='text' class='textbox' maxlength='2'
		style='width:3em;' value='$order' name='order'>
<tr>
	<td valign='top'>".$locale['lyrics']."</td>
	<td><textarea class='textbox' name='lyrics' cols='60'
		rows='8'>$lyrics</textarea>
<tr>
	<td valign='top'>".$locale['tabs']."</td>
	<td><textarea class='textbox' name='tabs' cols='60'
		rows='8'>$tabs</textarea>
<tr>
	<td></td>
	<td><input type='submit' class='button' name='save'"
		." value='".$locale['save']."'>";
if(isset($song_id)) {
	echo "<input type='hidden' name='song_id' value='$song_id'>";
}
	echo "</td>\n</table></form>";
	closetable();
}


require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
?>
