<?php
/***************************************************************************
 *   Copyright (C) 2005-2006 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

/*FIXME*/
/*
 * Desc..: $data: Array:
 *                * album_released: Format date("dmY")
 *                * album_title:
 *                * label_name:
 *                * sale_name:
 *                * album_misc:
 *         $front_img: Path of the front image.
 *         $back_img: Path of the back image.
 */
function render_album($data, $front_img, $back_img) {
	global $locale, $g_formats;
	$released = $data['album_released'];
	$date = date("Y-m-d", mktime(0,0,0,substr($released,2,2),
		substr($released, 0, 2), substr($released, 4, 4)));

	echo "<p><table class='tbl-border' cellspacing='1'>
<tr class='tbl2'><th colspan='2'>".$data['album_title']."</th>
<tr class='tbl2'><th colspan='2'>".$date."</th>
<tr class='tbl1'>
<td>$front_img</td>
<td>$back_img</td>
<tr class='tbl1'><td>".$locale['label']."</td>
<td>".$data['label_name']."</td>
<tr class='tbl1'><td>".$locale['sale']."</td>
<td>".$data['sale_name']."</td>
<tr class='tbl1'><td>".$locale['format']."</td>
<td>".$g_formats[$data['album_format']]."</td>
</table>";
	echo $data['album_misc'];
}

/*
 * Info..: Should use reference!
 * Desc..: $all_songs: Array of Arrays.
 * FIXME
 */
function render_songs(&$all_songs) {
	if(!count($all_songs)) {
		return;
	}
	$media = 1;
	echo "<table border='0' cellspacing='0' cellpadding='0'>";
	foreach($all_songs as $song) {
		if($song['song_on_medium'] != $media) {
			$media = $song['song_on_medium'];
			echo "<tr><td colspan='3'><hr></td>";
		}

		$secs = $song['song_len'];
		$secs = sprintf("%02d:%02d", $secs/60, $secs%60);

		echo "<tr><td width='1%'>".$song['song_order'].".</td>"
			."<td width='98%'>".$song['song_title']."</td>"
			."<td width='1%'>$secs</td></tr>\n";
	}
	echo "</table>";
}


function render_album_with_songs($album, $front_img, $back_img, &$all_songs) {
	echo "<p><table class='tbl-border' cellspacing='1' width='100%'>"
		."<tr><td width='240' class='tbl1'>";
	render_album($album, $front_img, $back_img);
	echo "</td><td valign='top' class='tbl2'>";
	render_songs($all_songs);
	echo "</td></tr></table>";

}


function render_song_all($title, $lyrics, $tabs) {
	echo "<p><table class='tbl-border' cellspacing='1' width='100%'>
<tr><td align='center'>$title</td></tr>
<tr class='tbl2'><td><pre>$lyrics</pre></td></tr>
<tr class='tbl1'><td><pre>$tabs</pre></td></tr>
</table>";
}

?>
