<?php
/***************************************************************************
 *   Copyright (C) 2005-2006 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
require_once("../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");

if(isset($_GET['album_id']) && isNum($_GET['album_id'])) {
	$album_id = $_GET['album_id'];
} else {
	fallback("show_artist.php");
}

require_once("include/common.php");
require_once("include/usertheme.php");


/*
 * GUI
 */
opentable($locale['aw_title']);

// show album
$query_id = dbquery("SELECT * FROM ".AW_ALBUMS
	." LEFT JOIN ".AW_LABELS." ON label_id=album_label"
	." LEFT JOIN ".AW_SALES." ON sale_id=album_sale"
	." WHERE album_id='$album_id'");
if($query_id && $album=dbarray($query_id)) {
	echo "<div align='center'>"
		."<a href='show_artist.php?artist_id="
		.$album['album_artist']."'>".$locale['artist']."</a></div>";
	show_album($album);
}


// show lyrics and tabs
if(isset($_GET['song_id']) && isNum($_GET['song_id'])) {
	$song_id = $_GET['song_id'];
	$query_id = dbquery("SELECT song_title, song_lyrics, song_tabs"
		." FROM ".AW_SONGS." WHERE song_id='$song_id'");
	if($query_id && $song=dbarray($query_id)) {
		$title = stripslashes($song['song_title']);
		$lyrics = stripslashes($song['song_lyrics']);
		$tabs = stripslashes($song['song_tabs']);
		render_song_all($title, $lyrics, $tabs);
	}
}



closetable();


require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
?>
