<?php
/***************************************************************************
 *   Copyright (C) 2005-2006 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
require_once("../../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");

require_once("../include/common.php");
if(!iAW_EDIT) {
	fallback("show_artist.php");
}


?>
<script type='text/javascript'>
function verify_label(frm) {
	if(frm.name.value=="") {
		alert("<?php echo $locale['err_complete']; ?>");
		return false;
	}
	return true;
}
</script>
<?php


if(isset($_POST['label_id']) && isNum($_POST['label_id'])) {
	$label_id = $_POST['label_id'];
} else {
	unset($label_id);
}
$label_name = "";

/*
 * ACTION
 */
if(isset($_POST['save'])) {
	$name = stripinput($_POST['name']);

	if(isset($label_id)) {
		$query = "UPDATE ".AW_LABELS
			." SET label_name='$name'"
			." WHERE label_id='$label_id'";
	} else {
		$query = "INSERT INTO ".AW_LABELS
			." (label_name) VALUES ('$name')";
	}
	aw_msg(dbquery($query));

} elseif(isset($_POST['delete']) && isset($label_id)) {
	$err_msg = "";
	$ok = false;

	$count = array_shift(dbarraynum(dbquery("SELECT COUNT(*)"
		." FROM ".AW_ALBUMS." WHERE album_label='$label_id'")));
	if($count == 0) {
		$ok = dbquery("DELETE FROM ".AW_LABELS." WHERE label_id='$label_id'");
	} else {
		$err_msg = $locale['no_del'];
	}

	aw_msg($ok, $err_msg);

} elseif(isset($_POST['edit']) && isset($label_id)) {
	$query_id = dbquery("SELECT * FROM ".AW_LABELS
		." WHERE label_id='$label_id'");
	if(dbrows($query_id)!=0 && $row=dbarray($query_id)) {
		$label_name = $row['label_name'];
	}
}


// all labels
$l_ops = "";
$query_id = dbquery("SELECT * FROM ".AW_LABELS);
if($query_id) {
	while($row = dbarray($query_id)) {
		$id = $row['label_id'];
		if(!isset($label_id)) {
			$label_id = $id;
		}
		$l_ops .= "<option value='$id'"
			.($label_id==$id ? " selected" : "")
			.">".$row['label_name']."</option>";
	}
}


/*
 * GUI
 */
opentable($locale['aw_title']);

show_admin_menu();

if(!empty($l_ops)) {
	echo "<form method='post' action='".FUSION_SELF."'>
<div align='center'>
<select name='label_id' class='textbox'>$l_ops</select>
<input type='submit' name='edit' class='button' value='".$locale['edit']."'>
<input type='submit' name='delete' onClick='return confirm_delete();'"
	." class='button' value='".$locale['del']."'>
</div></form>";
} else {
	echo "<p>".$locale['empty'];
}
closetable();
tablebreak();


/*
 * GUI
 */
opentable(isset($_POST['edit']) ? $locale['edit'] : $locale['new']);
echo "\n<form method='POST' action='".FUSION_SELF."'"
	." onSubmit='return verify_label(this);'>
<div align='center'>"
.$locale['name'].":
<input type='text' class='textbox' name='name' maxlength='64' size='32'"
	." value='$label_name'>
<input type='submit' class='button' name='save' value='".$locale['save']."'>\n";
if(isset($_POST['edit'])) {
	echo "<input type='hidden' name='label_id' value='$label_id'>\n";
}
echo "</div></form>\n";
closetable();


require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
?>
