<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
/***************************************************************************
 *   Copyright (C) 2005-2006 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
if(!defined("IN_FUSION") || !checkrights("I")) {
	header("Location: ../../index.php");
	exit;
}


// Infusion general information
$inf_title = "awMusicDB";
$inf_description = "awMusicDB";
$inf_version = "0.2";
$inf_developer = "wibix";
$inf_email = "wibix@gmx.de";
$inf_weburl = "http://wibix.de";

$inf_folder = "aw_music_db";
$inf_admin_image = "";
$inf_admin_panel = "admin/settings.php";

$inf_link_name = $inf_title;
$inf_link_url = "show_artist.php";

$inf_newtables = 7;
$inf_insertdbrows = 1;
$inf_altertables = 0;
$inf_deldbrows = 0;

$inf_newtable_[1] = "aw_music_albums (
	album_id int(10) unsigned NOT NULL auto_increment,
	album_title varchar(64) NOT NULL default '',
	album_released varchar(8) NOT NULL default '',
	album_artist int(10) unsigned NOT NULL default '0',
	album_label int(10) unsigned NOT NULL default '0',
	album_sale int(10) unsigned NOT NULL default '0',
	album_cat int(10) unsigned NOT NULL default '0',
	album_format char(1) NOT NULL default '1',
	album_misc text NOT NULL,
	PRIMARY KEY (album_id)
) TYPE=MyISAM;";

$inf_newtable_[2] = "aw_music_artists (
	artist_id int(10) unsigned NOT NULL auto_increment,
	artist_name varchar(64) NOT NULL default '',
	PRIMARY KEY (artist_id)
) TYPE=MyISAM;";

$inf_newtable_[3] = "aw_music_labels (
	label_id int(10) unsigned NOT NULL auto_increment,
	label_name varchar(64) NOT NULL default '',
	PRIMARY KEY (label_id)
) TYPE=MyISAM;";

$inf_newtable_[4] = "aw_music_sales (
	sale_id int(10) unsigned NOT NULL auto_increment,
	sale_name varchar(64) NOT NULL default '',
	PRIMARY KEY (sale_id)
) TYPE=MyISAM;";

$inf_newtable_[5] = "aw_music_songs (
	song_id int(10) unsigned NOT NULL auto_increment,
	song_title varchar(64) NOT NULL default '',
	song_len smallint(5) unsigned NOT NULL default '0',
	song_album int(10) NOT NULL default '0',
	song_on_medium tinyint(3) unsigned NOT NULL default '1',
	song_order tinyint(3) unsigned NOT NULL default '0',
	song_lyrics text NOT NULL,
	song_tabs text NOT NULL,
	PRIMARY KEY (song_id)
) TYPE=MyISAM;";

$inf_newtable_[6] = "aw_music_settings (
	edit_group tinyint(3) unsigned NOT NULL default '103',
	per_page tinyint(3) unsigned NOT NULL default '2',
	file_size int(10) unsigned NOT NULL default '1024000'
) TYPE=MyISAM;";

$inf_newtable_[7] = "aw_music_cats (
	cat_id int(10) unsigned NOT NULL auto_increment,
	cat_name varchar(64) NOT NULL default '',
	PRIMARY KEY (cat_id)
) TYPE=MyISAM;";

$inf_insertdbrow_[1] = "aw_music_settings (edit_group, per_page, file_size) VALUES ('103', '2', '100')";

$inf_droptable_[1] = "aw_music_sales";
$inf_droptable_[2] = "aw_music_labels";
$inf_droptable_[3] = "aw_music_artists";
$inf_droptable_[4] = "aw_music_albums";
$inf_droptable_[5] = "aw_music_songs";
$inf_droptable_[6] = "aw_music_settings";
$inf_droptable_[7] = "aw_music_cats";

?>
