<?php
/***************************************************************************
 *   Copyright (C) 2005-2006 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
require_once("../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");

require_once("include/common.php");
require_once("include/usertheme.php");


/*
 * GUI
 */
opentable($locale['aw_title']);
$artist_id = show_artists_form(isset($_GET['artist_id'])
	? $_GET['artist_id'] : NULL);

$rowstart = 0;
if(isset($_GET['rowstart']) && isNum($_GET['rowstart'])) {
	$rowstart = $_GET['rowstart'];
}


$album_count = dbrows(dbquery("SELECT album_id FROM ".AW_ALBUMS
	." WHERE album_artist='$artist_id'"));
echo "<div align='center'>".makePageNav($rowstart, AW_PER_PAGE, $album_count,
	$album_count, FUSION_SELF."?artist_id=$artist_id&")."</div>";

if(!isset($artist_id)) {
	echo "<p>".$locale['empty'];

} else {
	$query_id = dbquery("SELECT * FROM ".AW_ALBUMS
		." LEFT JOIN ".AW_LABELS." ON label_id=album_label"
		." LEFT JOIN ".AW_SALES." ON sale_id=album_sale"
		." WHERE album_artist='$artist_id'"
		." LIMIT $rowstart, ".AW_PER_PAGE);
	if($query_id) {
		while($album = dbarray($query_id)) {
			show_album($album);
		}
	}
}

closetable();


require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
?>
